<template>
  <accordion-element id="What are the PeerTube features for administrators?">
    <template #title>
      {{ $gettext('What are the PeerTube features for administrators?') }}
    </template>

    <div>
      <ul class="multi">
        <li>
          <strong>{{ $gettext('Free and open-source software') }}</strong>

          <ul>
            <li>{{ $gettext('Install PeerTube on your server and create your "homemade YouTube"') }}</li>
            <li>
              <SafeHTML>
                {{
                  $gettext('Official <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/install/docker">Docker support</a>', true)
                }}
              </SafeHTML>
            </li>

            <li>
              <SafeHTML>
                {{
                  $gettext('Documented <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/api/rest-reference.html">REST API</a> and <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/maintain/tools">CLI tools</a>', true)
                }}
              </SafeHTML>
            </li>
          </ul>
        </li>

        <li>
          <strong>{{ $gettext('Federation with ActivityPub') }}</strong>

          <ul>
            <li>{{ $gettext('Enable or disable federation for your instance') }}</li>
            <li>{{ $gettext('Display videos/accounts of other instances on yours') }}</li>

            <li>
              <SafeHTML>
                {{ $gettext('<a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/admin/following-instances#automatically-follow-other-instances">Automatically follow</a> instances from a public index', true) }}
              </SafeHTML>
            </li>
          </ul>
        </li>

        <li>
          <strong>{{ $gettext('P2P with WebRTC') }}</strong>

          <ul>
            <li>{{ $gettext('Reduce your server bandwidth using P2P on VOD and live videos') }}</li>
            <li>{{ $gettext('Enable or disable easily P2P for your instance') }}</li>
            <li>
              <SafeHTML>
                {{ $gettext('Help (or get help) other instances using <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/admin/following-instances#instances-redundancy">PeerTube redundancy</a>', true) }}
              </SafeHTML>
            </li>
          </ul>
        </li>

        <li>
          <strong>{{ $gettext('Video transcoding') }}</strong>

          <ul>
            <li>
              <SafeHTML>
                {{ $gettext('Optimize videos and generate <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/admin/configuration#vod-transcoding">multiple resolutions</a> using ffmpeg', true) }}
              </SafeHTML>
            </li>
            <li>{{ $gettext('Enable additional video extension (.mkv, .mov, .avi...) or audio uploads') }}</li>
            <li>{{ $gettext('Generate HLS playlists or raw MP4 files') }}</li>
            <li>{{ $gettext('Customize ffmpeg transcoding profile using PeerTube plugins') }}</li>
            <li>
              <SafeHTML>
                {{ $gettext('Transcode videos by <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/admin/remote-runners">remote runners</a>', true) }}
              </SafeHTML>
            </li>
          </ul>
        </li>

        <li>
          <strong>{{ $gettext('Live streaming') }}</strong>

          <ul>
            <li>
              <SafeHTML>
                {{ $gettext('Enable <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/admin/configuration#live-streaming">live streaming</a> for your instance', true) }}
              </SafeHTML>
            </li>
            <li>{{ $gettext('Add ability for your users to publish a replay of live videos') }}</li>
            <li>{{ $gettext('Set simultaneous live streaming limits (per user/instance)') }}</li>
            <li>{{ $gettext('Enable live streaming transcoding in multiple resolutions') }}</li>
            <li>{{ $gettext('Customize ffmpeg live transcoding profile using PeerTube plugins') }}</li>
            <li>
              <SafeHTML>
                {{ $gettext('Transcode lives by <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/admin/remote-runners">remote runners</a>', true) }}
              </SafeHTML>
            </li>
          </ul>
        </li>

        <li>
          <strong>{{ $gettext('Video imports') }}</strong>

          <ul>
            <li>{{ $gettext('Enable video import using youtube-dl (Youtube, Dailymotion...)') }}</li>
            <li>{{ $gettext('Enable video import using webtorrent (torrent file or magnet URI)') }}</li>
          </ul>
        </li>

        <li>
          <strong>{{ $gettext('Moderation tools') }}</strong>

          <ul>
            <li>
              <SafeHTML>
                {{ $gettext('Enable or disable signup, <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/admin/managing-users#registration-approval">approve manually new users</a> or set upload limits', true) }}
              </SafeHTML>
            </li>
            <li>
              <SafeHTML>
                {{ $gettext('Assign <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/admin/moderation">moderator/admin</a> roles', true) }}
              </SafeHTML>
            </li>
            <li>{{ $gettext('Manage abuse reports on videos, accounts or comments using a dedicated dashboard') }}</li>
            <li>{{ $gettext('Automatically block videos from untrusted users awaiting a review by moderators') }}</li>
            <li>{{ $gettext('Block specific videos and specify a reason') }}</li>
            <li>{{ $gettext('Ban local users, mute accounts or instances') }}</li>
          </ul>
        </li>

        <li>
          <strong>{{ $gettext('Highly configurable') }}</strong>

          <ul>
            <li>{{ $gettext('Easily set instance metadata: avatar and banner images, name, description, main categories...') }}</li>
            <li>{{ $gettext('Create your own homepage using markdown or HTML') }}</li>
            <li>
              <SafeHTML>
                {{ $gettext('Search and install PeerTube <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/admin/customize-instance">plugins or themes</a>', true) }}
              </SafeHTML>
            </li>
            <li>{{ $gettext('Use external auth (LDAP, OpenID Connect...) using auth plugins') }}</li>
            <li>{{ $gettext('Choose default user settings (NSFW policy, comments/download/P2P enabled, etc)') }}</li>
            <li>{{ $gettext('Store videos and lives in the server filesystem or in object storage') }}</li>
            <li>{{ $gettext('Broadcast a message to users using a banner') }}</li>
          </ul>
        </li>
      </ul>
    </div>
  </accordion-element>
</template>

<script>
  import { defineComponent } from 'vue'

  import AccordionElement from '../shared/AccordionElement.vue'

  export default defineComponent({
    components: {
      AccordionElement
    }
  })
</script>
